| 1.0.0 API documentation

Functions
ext/vector_relational.hpp File Reference

GLM_EXT_vector_relational More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...

## Detailed Description

GLM_EXT_vector_relational

See also
  Core features (dependence)
  GLM_EXT_scalar_integer (dependence)

Definition in file ext/vector_relational.hpp.